summaryrefslogtreecommitdiffstats
path: root/misc
diff options
context:
space:
mode:
Diffstat (limited to 'misc')
-rw-r--r--misc/keychain/README9
-rw-r--r--misc/keychain/keychain.SlackBuild59
-rw-r--r--misc/keychain/keychain.info8
-rw-r--r--misc/keychain/slack-desc19
4 files changed, 95 insertions, 0 deletions
diff --git a/misc/keychain/README b/misc/keychain/README
new file mode 100644
index 0000000000..7e4977d8e5
--- /dev/null
+++ b/misc/keychain/README
@@ -0,0 +1,9 @@
+Keychain is a manager for OpenSSH, ssh.com, Sun SSH and GnuPG agents.
+It acts as a front-end to the agents, allowing you to easily have one
+long-running agent process per system, rather than per login session.
+This dramatically reduces the number of times you need to enter your
+passphrase from once per new login session to once every time your
+local machine is rebooted.
+
+This allows 'cron' jobs to use 'ssh' scripts in a friendly
+(yet secure) manner.
diff --git a/misc/keychain/keychain.SlackBuild b/misc/keychain/keychain.SlackBuild
new file mode 100644
index 0000000000..6e4bd83bde
--- /dev/null
+++ b/misc/keychain/keychain.SlackBuild
@@ -0,0 +1,59 @@
+#!/bin/sh
+
+# Slackware build script for Keychain
+# Written by Menno E. Duursma
+
+PRGNAM=keychain
+VERSION=2.6.8
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.*z*
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/bin
+install -m0755 keychain $PKG/usr/bin/keychain
+strip --strip-unneeded $PKG/usr/bin/keychain 2>/dev/null
+
+mkdir -p $PKG/usr/man/man1
+install -m0644 keychain.1 $PKG/usr/man/man1/keychain.1
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a [A-Z][A-Z]* ChangeLog $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cat $CWD/README > $PKG/usr/doc/$PRGNAM-$VERSION/README.SBo
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/misc/keychain/keychain.info b/misc/keychain/keychain.info
new file mode 100644
index 0000000000..6e867021c1
--- /dev/null
+++ b/misc/keychain/keychain.info
@@ -0,0 +1,8 @@
+PRGNAM="keychain"
+VERSION="2.6.8"
+HOMEPAGE="http://agriffis.n01se.net/keychain"
+DOWNLOAD="http://agriffis.n01se.net/keychain/keychain-2.6.8.tar.bz2"
+MD5SUM="2a23b311e438ecebed5639b568738d28"
+MAINTAINER="Menno E. Duursma"
+EMAIL="druiloor@zonnet.nl"
+APPROVED="David Somero"
diff --git a/misc/keychain/slack-desc b/misc/keychain/slack-desc
new file mode 100644
index 0000000000..7e2cb122c2
--- /dev/null
+++ b/misc/keychain/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler----------------------------------------------------|
+keychain: Keychain (front-end to SSH and GnuPG agents)
+keychain:
+keychain: It acts as a front-end to SSH and GnuPG agents, allowing
+keychain: to have one long-running agent process per system, rather
+keychain: than per login session.
+keychain:
+keychain: This allows 'cron' jobs to use 'ssh' scripts in a friendly
+keychain: (yet secure) manner.
+keychain:
+keychain:
+keychain: